RML-Config-Leser um Session/Run-Verzeichnisse erweitern

2012-08-09 13:00 - Ingo Lütkebohle

Status: Closed Start date: 2012-08-09

Priority: Normal Due date:  

Assignee: Mathias Lindemann % Done: 0%

Category: apps Estimated time: 0.00 hour

Target version: 2.0   

Description

Momentan liefert der RML-Config-Leser immer Daten für einen Run zurück und das API liefert auch nur eine Liste.

Ändere das API so, dass statt direkt Listen von Dateien eine Liste von Run-Objekten mit den Attributen Session und Run-Nummer

geliefert wird. Die bisherigen Methoden getLogfiles und getMediafiles() sollten in diese Objekte verlagert werden.

Bei Konstruktion von RMLConfig wird dann geprüft, ob Session/Run-Unterverzeichnisse im Basisverzeichnis existieren. Falls nicht

wird genau ein Run geliefert.

History

#1 - 2012-08-10 13:41 - Mathias Lindemann

- Status changed from New to Resolved

#2 - 2012-11-16 10:35 - Ingo Lütkebohle

- Status changed from Resolved to Closed
